commit:     475150d5133727b3df682dda385dd439165af430
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 13 07:32:00 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Apr 13 10:32:16 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=475150d5

dev-python/nltk: Bump to 3.5

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/nltk/Manifest        |  1 +
 dev-python/nltk/nltk-3.5.ebuild | 56 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/dev-python/nltk/Manifest b/dev-python/nltk/Manifest
index aa8a421a2c1..4645b2636a1 100644
--- a/dev-python/nltk/Manifest
+++ b/dev-python/nltk/Manifest
@@ -1 +1,2 @@
 DIST nltk-3.4.5.tar.gz 2821481 BLAKE2B 
9d3d6df9a951b4dfbfec335386ba0fb13c484c74a066141ebdfdb541fbec421dd72163d4028e239abd58f95a73e0eef5861574fa9955e4ee11f2c4598c895f59
 SHA512 
0ca24cd2154e47a8c50fe8e2426fa01c80904ece4100b07cdb4e5835e423e31968e96f0e750e1936f1e758a608596c560aaaee05b844b334f6179249db05f969
+DIST nltk-3.5.tar.gz 2805844 BLAKE2B 
d2494d831cf5503ac938b203e405ebae606166dbb907655113d3a5267bd54f03b6d8d5ac9e545fefd0b7855ce0c985064c9e746e402c540e19546e2d11ec151e
 SHA512 
056ae219af607c158f1f2adc6fb9b4f402721778c13bf5ebc178deaf631142ad3e571d8b1fd96145067833cbeac4db25fc07c3fd032188c2d8ee7e5d7bd824f6

diff --git a/dev-python/nltk/nltk-3.5.ebuild b/dev-python/nltk/nltk-3.5.ebuild
new file mode 100644
index 00000000000..8f9f7024193
--- /dev/null
+++ b/dev-python/nltk/nltk-3.5.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7} )
+PYTHON_REQ_USE="sqlite,tk?,xml(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Natural Language Toolkit"
+HOMEPAGE="https://www.nltk.org/ https://github.com/nltk/nltk/";
+SRC_URI="https://github.com/nltk/nltk/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos 
~x86-solaris"
+IUSE="tk"
+
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+BDEPEND="
+       test? (
+               dev-python/joblib[${PYTHON_USEDEP}]
+               >=dev-python/nltk-data-20200312-r1
+               dev-python/numpy[${PYTHON_USEDEP}]
+               dev-python/pyparsing[${PYTHON_USEDEP}]
+               dev-python/twython[${PYTHON_USEDEP}]
+               sci-libs/scikits_learn[${PYTHON_USEDEP}]
+               sci-libs/scipy[${PYTHON_USEDEP}]
+       )"
+PDEPEND="dev-python/nltk-data"
+
+distutils_enable_tests nose
+
+src_prepare() {
+       # requires unpackaged pycrfsuite
+       sed -i -e '/>>>/s@$@ # doctest: +SKIP@' nltk/tag/crf.py || die
+       # replace fetching from network with duplicate file URL
+       sed -e 
's@https://raw.githubusercontent.com/nltk/nltk/develop/nltk/test/toy.cfg@nltk:grammars/sample_grammars/toy.cfg@'
 \
+               -i nltk/test/data.doctest || die
+       # requires X and hangs in Xvfb
+       sed -e 's:test_plot:_&:' \
+               -i nltk/test/unit/test_cfd_mutation.py || die
+
+       distutils-r1_src_prepare
+}
+
+src_test() {
+       cd nltk/test || die
+       distutils-r1_src_test
+}
+
+python_test() {
+       "${EPYTHON}" runtests.py -v || die "Tests failed with ${EPYTHON}"
+}

Reply via email to